### Hierarchy

- Http2Stream
  - ServerHttp2Stream

### Implements

- ReadableStream
- Writable

## Index

### Constructors

- constructor

### Properties

- aborted
- closed
- destroyed
- endAfterHeaders
- headersSent
- pending
- pushAllowed
- readable
- readableHighWaterMark
- readableLength
- rstCode
- sentHeaders
- sentInfoHeaders
- sentTrailers
- session
- state
- writable
- writableHighWaterMark
- writableLength
- defaultMaxListeners

### Methods

- __@asyncIterator
- _destroy
- _final
- _read
- _write
- _writev
- addListener
- additionalHeaders
- close
- cork
- destroy
- emit
- end
- eventNames
- getMaxListeners
- isPaused
- listenerCount
- listeners
- off
- on
- once
- pause
- pipe
- prependListener
- prependOnceListener
- priority
- push
- pushStream
- rawListeners
- read
- removeAllListeners
- removeListener
- respond
- respondWithFD
- respondWithFile
- resume
- sendTrailers
- setDefaultEncoding
- setEncoding
- setMaxListeners
- setTimeout
- uncork
- unpipe
- unshift
- wrap
- write
- listenerCount

## Constructors

### constructor

- new ServerHttp2Stream(opts?: DuplexOptions): ServerHttp2Stream

- Inherited from Duplex.constructor

  Overrides Readable.constructor

  - Defined in node_modules/@types/node/stream.d.ts:209

  #### Parameters

  - ##### Optional opts: DuplexOptions

  #### Returns ServerHttp2Stream

## Properties

### aborted

aborted: boolean

Inherited from Http2Stream.aborted

- Defined in node_modules/@types/node/http2.d.ts:63

### closed

closed: boolean

Inherited from Http2Stream.closed

- Defined in node_modules/@types/node/http2.d.ts:64

### destroyed

destroyed: boolean

Inherited from Http2Stream.destroyed

- Defined in node_modules/@types/node/http2.d.ts:65

### endAfterHeaders

endAfterHeaders: boolean

Inherited from Http2Stream.endAfterHeaders

- Defined in node_modules/@types/node/http2.d.ts:77

Set the true if the END_STREAM flag was set in the request or response HEADERS frame received, indicating that no additional data should be received and the readable side of the Http2Stream will be closed.

### headersSent

headersSent: boolean

- Defined in node_modules/@types/node/http2.d.ts:215

### pending

pending: boolean

Inherited from Http2Stream.pending

- Defined in node_modules/@types/node/http2.d.ts:66

### pushAllowed

pushAllowed: boolean

- Defined in node_modules/@types/node/http2.d.ts:216

### readable

readable: boolean

Inherited from Readable.readable

- Defined in node_modules/@types/node/stream.d.ts:20

### readableHighWaterMark

readableHighWaterMark: number

Inherited from Readable.readableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:21

### readableLength

readableLength: number

Inherited from Readable.readableLength

- Defined in node_modules/@types/node/stream.d.ts:22

### rstCode

rstCode: number

Inherited from Http2Stream.rstCode

- Defined in node_modules/@types/node/http2.d.ts:67

### sentHeaders

sentHeaders: OutgoingHttpHeaders

Inherited from Http2Stream.sentHeaders

- Defined in node_modules/@types/node/http2.d.ts:68

### Optional sentInfoHeaders

sentInfoHeaders: OutgoingHttpHeaders[]

Inherited from Http2Stream.sentInfoHeaders

- Defined in node_modules/@types/node/http2.d.ts:69

### Optional sentTrailers

sentTrailers: OutgoingHttpHeaders

Inherited from Http2Stream.sentTrailers

- Defined in node_modules/@types/node/http2.d.ts:70

### session

session: Http2Session

Inherited from Http2Stream.session

- Defined in node_modules/@types/node/http2.d.ts:71

### state

state: StreamState

Inherited from Http2Stream.state

- Defined in node_modules/@types/node/http2.d.ts:72

### writable

writable: boolean

Inherited from Duplex.writable

- Defined in node_modules/@types/node/stream.d.ts:207

### writableHighWaterMark

writableHighWaterMark: number

Inherited from Duplex.writableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:208

### writableLength

writableLength: number

Inherited from Duplex.writableLength

- Defined in node_modules/@types/node/stream.d.ts:209

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### __@asyncIterator

- __@asyncIterator(): AsyncIterableIterator<any>

- Inherited from Readable.__@asyncIterator

  - Defined in node_modules/@types/node/stream.d.ts:95

  #### Returns AsyncIterableIterator<any>

### _destroy

- _destroy(error: Error | null, callback: function): void

- Inherited from Duplex._destroy

  Overrides Readable._destroy

  - Defined in node_modules/@types/node/stream.d.ts:213

  #### Parameters

  - ##### error: Error | null

  - ##### callback: function

    - - (error: Error | null): void

      - #### Parameters

        - ##### error: Error | null

        #### Returns void

### _final

- _final(callback: function): void

- Inherited from Duplex._final

  - Defined in node_modules/@types/node/stream.d.ts:214

  #### Parameters

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### _read

- _read(size: number): void

- Inherited from Readable._read

  - Defined in node_modules/@types/node/stream.d.ts:24

  #### Parameters

  - ##### size: number

  #### Returns void

### _write

- _write(chunk: any, encoding: string, callback: function): void

- Inherited from Duplex._write

  - Defined in node_modules/@types/node/stream.d.ts:211

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional _writev

- _writev(chunks: Array<object>, callback: function): void

- Inherited from Duplex._writev

  - Defined in node_modules/@types/node/stream.d.ts:212

  #### Parameters

  - ##### chunks: Array<object>

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "aborted", listener: function): this
- addListener(event: "close", listener: function): this
- addListener(event: "data", listener: function): this
- addListener(event: "drain", listener: function): this
- addListener(event: "end", listener: function): this
- addListener(event: "error", listener: function): this
- addListener(event: "finish", listener: function): this
- addListener(event: "frameError", listener: function): this
- addListener(event: "pipe", listener: function): this
- addListener(event: "unpipe", listener: function): this
- addListener(event: "streamClosed", listener: function): this
- addListener(event: "timeout", listener: function): this
- addListener(event: "trailers", listener: function): this
- addListener(event: "wantTrailers", listener: function): this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:82

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:83

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:84

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:85

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:86

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:87

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:88

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:89

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:90

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:91

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:92

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:93

  #### Parameters

  - ##### event: "streamClosed"

  - ##### listener: function

    - - (code: number): void

      - #### Parameters

        - ##### code: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:94

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:95

  #### Parameters

  - ##### event: "trailers"

  - ##### listener: function

    - - (trailers: IncomingHttpHeaders, flags: number): void

      - #### Parameters

        - ##### trailers: IncomingHttpHeaders

        - ##### flags: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.addListener

  Overrides Readable.addListener

  - Defined in node_modules/@types/node/http2.d.ts:96

  #### Parameters

  - ##### event: "wantTrailers"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### additionalHeaders

- additionalHeaders(headers: OutgoingHttpHeaders): void

- - Defined in node_modules/@types/node/http2.d.ts:214

  #### Parameters

  - ##### headers: OutgoingHttpHeaders

  #### Returns void

### close

- close(code?: undefined | number, callback?: undefined | function): void

- Inherited from Http2Stream.close

  - Defined in node_modules/@types/node/http2.d.ts:78

  #### Parameters

  - ##### Optional code: undefined | number

  - ##### Optional callback: undefined | function

  #### Returns void

### cork

- cork(): void

- Inherited from Duplex.cork

  - Defined in node_modules/@types/node/stream.d.ts:221

  #### Returns void

### destroy

- destroy(error?: Error): void

- Inherited from Readable.destroy

  - Defined in node_modules/@types/node/stream.d.ts:35

  #### Parameters

  - ##### Optional error: Error

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "aborted"): boolean
- emit(event: "close"): boolean
- emit(event: "data", chunk: Buffer | string): boolean
- emit(event: "drain"): boolean
- emit(event: "end"): boolean
- emit(event: "error", err: Error): boolean
- emit(event: "finish"): boolean
- emit(event: "frameError", frameType: number, errorCode: number): boolean
- emit(event: "pipe", src: stream.Readable): boolean
- emit(event: "unpipe", src: stream.Readable): boolean
- emit(event: "streamClosed", code: number): boolean
- emit(event: "timeout"): boolean
- emit(event: "trailers", trailers: IncomingHttpHeaders, flags: number): boolean
- emit(event: "wantTrailers"): boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:98

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:99

  #### Parameters

  - ##### event: "aborted"

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:100

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:101

  #### Parameters

  - ##### event: "data"

  - ##### chunk: Buffer | string

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:102

  #### Parameters

  - ##### event: "drain"

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:103

  #### Parameters

  - ##### event: "end"

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:104

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:105

  #### Parameters

  - ##### event: "finish"

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:106

  #### Parameters

  - ##### event: "frameError"

  - ##### frameType: number

  - ##### errorCode: number

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:107

  #### Parameters

  - ##### event: "pipe"

  - ##### src: stream.Readable

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:108

  #### Parameters

  - ##### event: "unpipe"

  - ##### src: stream.Readable

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:109

  #### Parameters

  - ##### event: "streamClosed"

  - ##### code: number

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:110

  #### Parameters

  - ##### event: "timeout"

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:111

  #### Parameters

  - ##### event: "trailers"

  - ##### trailers: IncomingHttpHeaders

  - ##### flags: number

  #### Returns boolean

- Inherited from Http2Stream.emit

  Overrides Readable.emit

  - Defined in node_modules/@types/node/http2.d.ts:112

  #### Parameters

  - ##### event: "wantTrailers"

  #### Returns boolean

### end

- end(cb?: undefined | function): void
- end(chunk: any, cb?: undefined | function): void
- end(chunk: any, encoding?: undefined | string, cb?: undefined | function): void

- Inherited from Duplex.end

  - Defined in node_modules/@types/node/stream.d.ts:218

  #### Parameters

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from Duplex.end

  - Defined in node_modules/@types/node/stream.d.ts:219

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from Duplex.end

  - Defined in node_modules/@types/node/stream.d.ts:220

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### isPaused

- isPaused(): boolean

- Inherited from Readable.isPaused

  - Defined in node_modules/@types/node/stream.d.ts:29

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "aborted", listener: function): this
- on(event: "close", listener: function): this
- on(event: "data", listener: function): this
- on(event: "drain", listener: function): this
- on(event: "end", listener: function): this
- on(event: "error", listener: function): this
- on(event: "finish", listener: function): this
- on(event: "frameError", listener: function): this
- on(event: "pipe", listener: function): this
- on(event: "unpipe", listener: function): this
- on(event: "streamClosed", listener: function): this
- on(event: "timeout", listener: function): this
- on(event: "trailers", listener: function): this
- on(event: "wantTrailers", listener: function): this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:114

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:115

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:116

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:117

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:118

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:119

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:120

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:121

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:122

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:123

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:124

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:125

  #### Parameters

  - ##### event: "streamClosed"

  - ##### listener: function

    - - (code: number): void

      - #### Parameters

        - ##### code: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:126

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:127

  #### Parameters

  - ##### event: "trailers"

  - ##### listener: function

    - - (trailers: IncomingHttpHeaders, flags: number): void

      - #### Parameters

        - ##### trailers: IncomingHttpHeaders

        - ##### flags: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.on

  Overrides Readable.on

  - Defined in node_modules/@types/node/http2.d.ts:128

  #### Parameters

  - ##### event: "wantTrailers"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "aborted", listener: function): this
- once(event: "close", listener: function): this
- once(event: "data", listener: function): this
- once(event: "drain", listener: function): this
- once(event: "end", listener: function): this
- once(event: "error", listener: function): this
- once(event: "finish", listener: function): this
- once(event: "frameError", listener: function): this
- once(event: "pipe", listener: function): this
- once(event: "unpipe", listener: function): this
- once(event: "streamClosed", listener: function): this
- once(event: "timeout", listener: function): this
- once(event: "trailers", listener: function): this
- once(event: "wantTrailers", listener: function): this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:130

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:131

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:132

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:133

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:134

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:135

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:136

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:137

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:138

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:139

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:140

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:141

  #### Parameters

  - ##### event: "streamClosed"

  - ##### listener: function

    - - (code: number): void

      - #### Parameters

        - ##### code: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:142

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:143

  #### Parameters

  - ##### event: "trailers"

  - ##### listener: function

    - - (trailers: IncomingHttpHeaders, flags: number): void

      - #### Parameters

        - ##### trailers: IncomingHttpHeaders

        - ##### flags: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.once

  Overrides Readable.once

  - Defined in node_modules/@types/node/http2.d.ts:144

  #### Parameters

  - ##### event: "wantTrailers"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### pause

- pause(): this

- Inherited from Readable.pause

  - Defined in node_modules/@types/node/stream.d.ts:27

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- Inherited from internal.pipe

  - Defined in node_modules/@types/node/stream.d.ts:5

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "aborted", listener: function): this
- prependListener(event: "close", listener: function): this
- prependListener(event: "data", listener: function): this
- prependListener(event: "drain", listener: function): this
- prependListener(event: "end", listener: function): this
- prependListener(event: "error", listener: function): this
- prependListener(event: "finish", listener: function): this
- prependListener(event: "frameError", listener: function): this
- prependListener(event: "pipe", listener: function): this
- prependListener(event: "unpipe", listener: function): this
- prependListener(event: "streamClosed", listener: function): this
- prependListener(event: "timeout", listener: function): this
- prependListener(event: "trailers", listener: function): this
- prependListener(event: "wantTrailers", listener: function): this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:146

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:147

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:148

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:149

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:150

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:151

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:152

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:153

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:154

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:155

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:156

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:157

  #### Parameters

  - ##### event: "streamClosed"

  - ##### listener: function

    - - (code: number): void

      - #### Parameters

        - ##### code: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:158

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:159

  #### Parameters

  - ##### event: "trailers"

  - ##### listener: function

    - - (trailers: IncomingHttpHeaders, flags: number): void

      - #### Parameters

        - ##### trailers: IncomingHttpHeaders

        - ##### flags: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependListener

  Overrides Readable.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:160

  #### Parameters

  - ##### event: "wantTrailers"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "aborted", listener: function): this
- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "data", listener: function): this
- prependOnceListener(event: "drain", listener: function): this
- prependOnceListener(event: "end", listener: function): this
- prependOnceListener(event: "error", listener: function): this
- prependOnceListener(event: "finish", listener: function): this
- prependOnceListener(event: "frameError", listener: function): this
- prependOnceListener(event: "pipe", listener: function): this
- prependOnceListener(event: "unpipe", listener: function): this
- prependOnceListener(event: "streamClosed", listener: function): this
- prependOnceListener(event: "timeout", listener: function): this
- prependOnceListener(event: "trailers", listener: function): this
- prependOnceListener(event: "wantTrailers", listener: function): this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:162

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:163

  #### Parameters

  - ##### event: "aborted"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:164

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:165

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: Buffer | string): void

      - #### Parameters

        - ##### chunk: Buffer | string

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:166

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:167

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:168

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:169

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:170

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:171

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:172

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: stream.Readable): void

      - #### Parameters

        - ##### src: stream.Readable

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:173

  #### Parameters

  - ##### event: "streamClosed"

  - ##### listener: function

    - - (code: number): void

      - #### Parameters

        - ##### code: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:174

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:175

  #### Parameters

  - ##### event: "trailers"

  - ##### listener: function

    - - (trailers: IncomingHttpHeaders, flags: number): void

      - #### Parameters

        - ##### trailers: IncomingHttpHeaders

        - ##### flags: number

        #### Returns void

  #### Returns this

- Inherited from Http2Stream.prependOnceListener

  Overrides Readable.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:176

  #### Parameters

  - ##### event: "wantTrailers"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### priority

- priority(options: StreamPriorityOptions): void

- Inherited from Http2Stream.priority

  - Defined in node_modules/@types/node/http2.d.ts:79

  #### Parameters

  - ##### options: StreamPriorityOptions

  #### Returns void

### push

- push(chunk: any, encoding?: undefined | string): boolean

- Inherited from Readable.push

  - Defined in node_modules/@types/node/stream.d.ts:33

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  #### Returns boolean

### pushStream

- pushStream(headers: OutgoingHttpHeaders, callback?: undefined | function): void
- pushStream(headers: OutgoingHttpHeaders, options?: StreamPriorityOptions, callback?: undefined | function): void

- - Defined in node_modules/@types/node/http2.d.ts:217

  #### Parameters

  - ##### headers: OutgoingHttpHeaders

  - ##### Optional callback: undefined | function

  #### Returns void

- - Defined in node_modules/@types/node/http2.d.ts:218

  #### Parameters

  - ##### headers: OutgoingHttpHeaders

  - ##### Optional options: StreamPriorityOptions

  - ##### Optional callback: undefined | function

  #### Returns void

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### read

- read(size?: undefined | number): any

- Inherited from Readable.read

  - Defined in node_modules/@types/node/stream.d.ts:25

  #### Parameters

  - ##### Optional size: undefined | number

  #### Returns any

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: "close", listener: function): this
- removeListener(event: "data", listener: function): this
- removeListener(event: "end", listener: function): this
- removeListener(event: "readable", listener: function): this
- removeListener(event: "error", listener: function): this
- removeListener(event: string | symbol, listener: function): this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:88

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:89

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:90

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:91

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:92

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:93

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### respond

- respond(headers?: OutgoingHttpHeaders, options?: ServerStreamResponseOptions): void

- - Defined in node_modules/@types/node/http2.d.ts:219

  #### Parameters

  - ##### Optional headers: OutgoingHttpHeaders

  - ##### Optional options: ServerStreamResponseOptions

  #### Returns void

### respondWithFD

- respondWithFD(fd: number, headers?: OutgoingHttpHeaders, options?: ServerStreamFileResponseOptions): void

- - Defined in node_modules/@types/node/http2.d.ts:220

  #### Parameters

  - ##### fd: number

  - ##### Optional headers: OutgoingHttpHeaders

  - ##### Optional options: ServerStreamFileResponseOptions

  #### Returns void

### respondWithFile

- respondWithFile(path: string, headers?: OutgoingHttpHeaders, options?: ServerStreamFileResponseOptionsWithError): void

- - Defined in node_modules/@types/node/http2.d.ts:221

  #### Parameters

  - ##### path: string

  - ##### Optional headers: OutgoingHttpHeaders

  - ##### Optional options: ServerStreamFileResponseOptionsWithError

  #### Returns void

### resume

- resume(): this

- Inherited from Readable.resume

  - Defined in node_modules/@types/node/stream.d.ts:28

  #### Returns this

### sendTrailers

- sendTrailers(headers: OutgoingHttpHeaders): this

- Inherited from Http2Stream.sendTrailers

  - Defined in node_modules/@types/node/http2.d.ts:178

  #### Parameters

  - ##### headers: OutgoingHttpHeaders

  #### Returns this

### setDefaultEncoding

- setDefaultEncoding(encoding: string): this

- Inherited from Duplex.setDefaultEncoding

  - Defined in node_modules/@types/node/stream.d.ts:217

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setEncoding

- setEncoding(encoding: string): this

- Inherited from Readable.setEncoding

  - Defined in node_modules/@types/node/stream.d.ts:26

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setTimeout

- setTimeout(msecs: number, callback?: undefined | function): void

- Inherited from Http2Stream.setTimeout

  - Defined in node_modules/@types/node/http2.d.ts:80

  #### Parameters

  - ##### msecs: number

  - ##### Optional callback: undefined | function

  #### Returns void

### uncork

- uncork(): void

- Inherited from Duplex.uncork

  - Defined in node_modules/@types/node/stream.d.ts:222

  #### Returns void

### unpipe

- unpipe(destination?: WritableStream): this

- Inherited from Readable.unpipe

  - Defined in node_modules/@types/node/stream.d.ts:30

  #### Parameters

  - ##### Optional destination: WritableStream

  #### Returns this

### unshift

- unshift(chunk: any): void

- Inherited from Readable.unshift

  - Defined in node_modules/@types/node/stream.d.ts:31

  #### Parameters

  - ##### chunk: any

  #### Returns void

### wrap

- wrap(oldStream: ReadableStream): this

- Inherited from Readable.wrap

  - Defined in node_modules/@types/node/stream.d.ts:32

  #### Parameters

  - ##### oldStream: ReadableStream

  #### Returns this

### write

- write(chunk: any, encoding?: undefined | string, cb?: undefined | function): boolean
- write(chunk: any, cb?: undefined | function): boolean

- Inherited from Duplex.write

  - Defined in node_modules/@types/node/stream.d.ts:215

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns boolean

- Inherited from Duplex.write

  - Defined in node_modules/@types/node/stream.d.ts:216

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | function

  #### Returns boolean

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc